CGAL 6.1.1 - Weights

Loading...
Searching...
No Matches
Functions
Triangular Region Weight
Reference Manual » Weighting Regions

##

`#include<CGAL/Weights/triangular_region_weights.h>`

This weight is the area of the shaded region in the figure below. The region is the triangle `[p, q, r]`.

Figure 113.1 Notation used for the triangular cell.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2` for 2D points; a model of `AnalyticWeightTraits_3` for 3D points

## Functions
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::triangular_area (const typename GeomTraits::Point_2 &p, const typename GeomTraits::Point_2 &q, const typename GeomTraits::Point_2 &r, const GeomTraits &traits)
| computes the area of the triangular cell in 2D using the points `p`, `q`, and `r`
template<typename Kernel >
Kernel::FT | CGAL::Weights::triangular_area (const CGAL::Point_2< Kernel > &p, const CGAL::Point_2< Kernel > &q, const CGAL::Point_2< Kernel > &r)
| computes the area of the triangular cell in 2D using the points `p`, `q`, and `r`.
template<typename GeomTraits >
GeomTraits::FT | CGAL::Weights::triangular_area (const typename GeomTraits::Point_3 &p, const typename GeomTraits::Point_3 &q, const typename GeomTraits::Point_3 &r, const GeomTraits &traits)
| computes the area of the triangular cell in 3D using the points `p`, `q`, and `r`.
template<typename Kernel >
Kernel::FT | CGAL::Weights::triangular_area (const CGAL::Point_3< Kernel > &p, const CGAL::Point_3< Kernel > &q, const CGAL::Point_3< Kernel > &r)
| computes the area of the triangular cell in 3D using the points `p`, `q`, and `r`.

## Function Documentation

## ◆ triangular_area() [1/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::triangular_area | ( | const CGAL::Point_2< Kernel > & | p,
|  | const CGAL::Point_2< Kernel > & | q,
|  | const CGAL::Point_2< Kernel > & | r
| ) |  |

`#include <CGAL/Weights/triangular_region_weights.h>`

computes the area of the triangular cell in 2D using the points `p`, `q`, and `r`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ triangular_area() [2/4]

template<typename Kernel >

Kernel::FT CGAL::Weights::triangular_area | ( | const CGAL::Point_3< Kernel > & | p,
|  | const CGAL::Point_3< Kernel > & | q,
|  | const CGAL::Point_3< Kernel > & | r
| ) |  |

`#include <CGAL/Weights/triangular_region_weights.h>`

computes the area of the triangular cell in 3D using the points `p`, `q`, and `r`.

Template Parameters

  Kernel | a model of `Kernel`

## ◆ triangular_area() [3/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::triangular_area | ( | const typename GeomTraits::Point_2 & | p,
|  | const typename GeomTraits::Point_2 & | q,
|  | const typename GeomTraits::Point_2 & | r,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/triangular_region_weights.h>`

computes the area of the triangular cell in 2D using the points `p`, `q`, and `r`

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_2`

## ◆ triangular_area() [4/4]

template<typename GeomTraits >

GeomTraits::FT CGAL::Weights::triangular_area | ( | const typename GeomTraits::Point_3 & | p,
|  | const typename GeomTraits::Point_3 & | q,
|  | const typename GeomTraits::Point_3 & | r,
|  | const GeomTraits & | traits
| ) |  |

`#include <CGAL/Weights/triangular_region_weights.h>`

computes the area of the triangular cell in 3D using the points `p`, `q`, and `r`.

Template Parameters

  GeomTraits | a model of `AnalyticWeightTraits_3`